Name:            perl-Fedora-VSP
Version:         0.001
Release:         10
Summary:         Perl version normalization for RPM
License:         GPLv3+
URL:             https://ppisar.fedorapeople.org/Fedora-VSP/
Source0:         %{url}Fedora-VSP-%{version}.tar.gz

BuildArch:       noarch

BuildRequires:   findutils make perl-interpreter perl-generators
BuildRequires:   perl(ExtUtils::MakeMaker) perl(strict) perl(warnings)
BuildRequires:   perl(Test::More) perl(version)
Requires:        perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:        perl(strict) perl(warnings) perl(Fedora::VSP) = %{version}

%description
This module provides functions for normalizing Perl version strings for
Red Hat Package (RPM) based Linux distributions.

%package_help

%prep
%autosetup -n Fedora-VSP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install

find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license COPYING
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.001-10
- Package init
